> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/public-finance/v2.3/exemplar/mgramseva/features/edit-user-profile.md).

# Edit User Profile

mGramSeva users can edit their basic information like name, add gender, email and change password using the hamburger menu on any screen.

![](https://2287351256-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Mfb8ehcimjt6ER7QOME%2F-MjDYAnA7143tvA9Nl_u%2F-MjDYR07Z6GmkSFgX-D4%2Fimage.png?alt=media\&token=7cfe0484-0667-4fd0-be08-1b4ea62f0859)

1. Users can click on the hamburger menu from any screen. A slider from the left opens up.
2. Users are able to
   1. Change Language
   2. Edit profile
   3. Logout
3. Changing language changes localization as per standards
4. Edit profile takes users to the next screen where changes can be made to the user profile
   1. Name - Can be changed
   2. Phone number - Cannot be changed
   3. Gender - This field is not present by default. Whatever user enters is stored and saved
   4. Email ID - It is an empty field. User input is stored as the user’s email id
   5. Change Password - This takes users to the password changing screen where the old password, new password and confirm new password has to be entered as per given standards.
      1. Dynamic password validation happens the same as in the registration flow.
      2. Until all fields are entered, the primary CTA is disabled.
      3. Changing the password shows a nudge to the user “Password updated successfully” and closing this nudge takes the user to the user profile screen.
   6. Clicking on save shows a nudge to the user” Details saved successfully”. Upon closing, this user remains on the screen but the fields show as edited.

![Edit Profile](https://2287351256-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Mfb8ehcimjt6ER7QOME%2F-MjDYAnA7143tvA9Nl_u%2F-MjDYVS7By-ZKYLuUbk6%2Fimage.png?alt=media\&token=c46c1a41-7387-42f6-b4a5-c2b4f8eaa21f)

![Change Password](https://2287351256-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Mfb8ehcimjt6ER7QOME%2F-MjDYAnA7143tvA9Nl_u%2F-MjDY_WO8EIw05B5kjDJ%2Fimage.png?alt=media\&token=741dd261-99a9-4706-b859-7cfc1ba69f6a)

> [![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)*​*](http://creativecommons.org/licenses/by/4.0/)*All content on this page by* [*eGov Foundation*](https://egov.org.in/) *is licensed under a* [*Creative Commons Attribution 4.0 International License*](http://creativecommons.org/licenses/by/4.0/)*.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/public-finance/v2.3/exemplar/mgramseva/features/edit-user-profile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
